For the complete documentation index, see llms.txt. This page is also available as Markdown.

Reports

Business reports and data exports.

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
idstringRequired
createdDatestring · date-timeRequired
startDatestring · date-timeOptional

Required unless type="CUSTOMERS"; for customers export see usersFilters.

endDatestring · date-timeOptional

Required unless type="CUSTOMERS"; for customers export see usersFilters.

typestring · enumRequiredPossible values:
statusstring · enumRead-onlyRequiredPossible values:
urlstringRead-onlyRequired
Responses
201Success
application/csv
idstringRequired
createdDatestring · date-timeRequired
startDatestring · date-timeOptional

Required unless type="CUSTOMERS"; for customers export see usersFilters.

endDatestring · date-timeOptional

Required unless type="CUSTOMERS"; for customers export see usersFilters.

typestring · enumRequiredPossible values:
statusstring · enumRead-onlyRequiredPossible values:
urlstringRead-onlyRequired
post/reports
POST /apis/v2/reports HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 819

{
  "id": "text",
  "createdDate": "2026-01-01T00:00:00.000Z",
  "startDate": "2026-01-01T00:00:00.000Z",
  "endDate": "2026-01-01T00:00:00.000Z",
  "areas": {
    "items": [
      "text"
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "usersFilters": {
    "search": "text",
    "areas": {
      "items": [
        "text"
      ],
      "_total": 1,
      "_links": {
        "self": {
          "href": "text"
        }
      }
    },
    "membershipAreas": {
      "items": [
        "text"
      ],
      "_total": 1,
      "_links": {
        "self": {
          "href": "text"
        }
      }
    },
    "includePristine": true,
    "memberships": {
      "items": [
        "text"
      ],
      "_total": 1,
      "_links": {
        "self": {
          "href": "text"
        }
      }
    },
    "memberSinceMin": "2026-01-01T00:00:00.000Z",
    "memberSinceMax": "2026-01-01T00:00:00.000Z",
    "tenureMin": "2026-01-01T00:00:00.000Z",
    "tenureMax": "2026-01-01T00:00:00.000Z",
    "roles": [
      "text"
    ],
    "conditions": [
      "VALID"
    ],
    "membershipStatuses": [
      "ACTIVE"
    ],
    "chargeTypes": [
      "FREE"
    ],
    "billingStatuses": [
      "ACTIVE"
    ],
    "sort": "text"
  },
  "type": "BALANCE_SUMMARY"
}
201Success
{
  "id": "text",
  "createdDate": "2026-01-01T00:00:00.000Z",
  "startDate": "2026-01-01T00:00:00.000Z",
  "endDate": "2026-01-01T00:00:00.000Z",
  "areas": {
    "items": [
      "text"
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "usersFilters": {
    "search": "text",
    "areas": {
      "items": [
        "text"
      ],
      "_total": 1,
      "_links": {
        "self": {
          "href": "text"
        }
      }
    },
    "membershipAreas": {
      "items": [
        "text"
      ],
      "_total": 1,
      "_links": {
        "self": {
          "href": "text"
        }
      }
    },
    "includePristine": true,
    "memberships": {
      "items": [
        "text"
      ],
      "_total": 1,
      "_links": {
        "self": {
          "href": "text"
        }
      }
    },
    "memberSinceMin": "2026-01-01T00:00:00.000Z",
    "memberSinceMax": "2026-01-01T00:00:00.000Z",
    "tenureMin": "2026-01-01T00:00:00.000Z",
    "tenureMax": "2026-01-01T00:00:00.000Z",
    "roles": [
      "text"
    ],
    "conditions": [
      "VALID"
    ],
    "membershipStatuses": [
      "ACTIVE"
    ],
    "chargeTypes": [
      "FREE"
    ],
    "billingStatuses": [
      "ACTIVE"
    ],
    "sort": "text"
  },
  "type": "BALANCE_SUMMARY",
  "status": "FAILED",
  "url": "text"
}
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired
Responses
200

Returns a Report

application/json
idstringRequired
createdDatestring · date-timeRequired
startDatestring · date-timeOptional

Required unless type="CUSTOMERS"; for customers export see usersFilters.

endDatestring · date-timeOptional

Required unless type="CUSTOMERS"; for customers export see usersFilters.

typestring · enumRequiredPossible values:
statusstring · enumRead-onlyRequiredPossible values:
urlstringRead-onlyRequired
get/reports/{id}
GET /apis/v2/reports/{id} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns a Report

{
  "id": "text",
  "createdDate": "2026-01-01T00:00:00.000Z",
  "startDate": "2026-01-01T00:00:00.000Z",
  "endDate": "2026-01-01T00:00:00.000Z",
  "areas": {
    "items": [
      "text"
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "usersFilters": {
    "search": "text",
    "areas": {
      "items": [
        "text"
      ],
      "_total": 1,
      "_links": {
        "self": {
          "href": "text"
        }
      }
    },
    "membershipAreas": {
      "items": [
        "text"
      ],
      "_total": 1,
      "_links": {
        "self": {
          "href": "text"
        }
      }
    },
    "includePristine": true,
    "memberships": {
      "items": [
        "text"
      ],
      "_total": 1,
      "_links": {
        "self": {
          "href": "text"
        }
      }
    },
    "memberSinceMin": "2026-01-01T00:00:00.000Z",
    "memberSinceMax": "2026-01-01T00:00:00.000Z",
    "tenureMin": "2026-01-01T00:00:00.000Z",
    "tenureMax": "2026-01-01T00:00:00.000Z",
    "roles": [
      "text"
    ],
    "conditions": [
      "VALID"
    ],
    "membershipStatuses": [
      "ACTIVE"
    ],
    "chargeTypes": [
      "FREE"
    ],
    "billingStatuses": [
      "ACTIVE"
    ],
    "sort": "text"
  },
  "type": "BALANCE_SUMMARY",
  "status": "FAILED",
  "url": "text"
}

Last updated

Was this helpful?